Subject: RE: [Enum] Subject: I-DACTION:draft-ranalli-peek-walter-enum-t1ro les-00.txt

From: "Pfautz, Penn L, NNAD" <[email-masked]>
Date: Tue, 28 Nov 2000 12:24:44 -0500

I've no objection to this terminology but want to point out some issues that
remain:

-For authentication purposes, the TNP needs to be the entity that knows who
the end user is - i.e. has the customer account.  This could, as Paul
Rosbotham points out, be a reseller. In some nations this will raise
additional questions of authentication if number administration structures
do not directly interface with resellers: The TNP (reseller) can tell me
what customer the number is assigned to. Do I need to verify that the
reseller has been delegated the number set from the underlying carrier to
which number was originally delegated or ported?

Paul- can you comment from a UK perspective?

Penn

-----Original Message-----
From: David P. Peek [mailto:[email-masked]]
Sent: Tuesday, November 28, 2000 12:01 PM
To: Douglas Ranalli; Pfautz, Penn L, NNAD
Cc: [email-masked]
Subject: RE: [Enum] Subject:
I-DACTION:draft-ranalli-peek-walter-enum-t1roles-00.txt

>Can you recommend alternative names for the ENUM entity described in
Section 4.2?

In an effort to avoid names that have preconceived meanings and one that
describes what we are trying to achieve in Section 4.2 I propose to use a
new term.  Are there any objections to:

	"Telephone Number Provider"   (TNP)

This would be an inclusive term for entities that provide E.164 numbers.  A
TNP may take on multiple roles that not only provides E.164 numbers but may
also be a subscriber as in Judith's example.

Dave.

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of
> Douglas Ranalli
> Sent: Tuesday, November 28, 2000 11:10 AM
> To: Pfautz, Penn L, NNAD
> Cc: [email-masked]
> Subject: Re: [Enum] Subject:
> I-DACTION:draft-ranalli-peek-walter-enum-t1roles-00.txt
>
>
> Penn,
>
> Thanks for the quick reply.  Interesting terminology question.  I
> agree that
> both "Responsible Organization" and "Telephone Service Provider" present
> challenges from a terminology standpoint because they both have meaning
> beyond the context of an ENUM System.  Here's the challenge:
>
> Within the ENUM System there is a role for an entity that has contractual
> control over a block of E.164 numbers and plays the role of
> assigning those
> numbers to Subscribers.  (See section 4.2)
>
> The draft uses the term "Telephone Service Provider" to define the entity
> that fulfills this role in the ENUM System.  Judith Oppenheimer
> has pointed
> out that this role can be provided by "non-TSP" entities like "Responsible
> Organizations" in the toll-free context.
>
> Neither term is perfect for the job but "Responsible Organization" is
> certainly a broader term that can encompass a "Telephone Service
> Provider".
>
> My preference has been to work with existing terms rather than to
> define new
> terms specifically for ENUM but the tradeoff is clear.  Can you recommend
> alternative names for the ENUM entity described in Section 4.2?
>
> Doug
>
> ----- Original Message -----
> From: Pfautz, Penn L, NNAD <[email-masked]>
> To: Douglas Ranalli <[email-masked]>; Judith Oppenheimer
> <[email-masked]>
> Cc: <[email-masked]>
> Sent: Tuesday, November 28, 2000 10:11 AM
> Subject: RE: [Enum] Subject:
> I-DACTION:draft-ranalli-peek-walter-enum-t1roles-00.txt
>
>
> > Doug:
> > Be aware that RespOrg is a role specific to toll-free numbers.
> You'll need
> a
> > TSP role in any case for geographic numbers.
> > The questions are "Who controls the ENUM record for a toll-free number"
> and
> > "Does the model need to be altered to specifcally incorporate different
> > roles for toll-free numbers."
> >
> > Penn
> >
> > -----Original Message-----
> > From: Douglas Ranalli [mailto:[email-masked]]
> > Sent: Tuesday, November 28, 2000 9:38 AM
> > To: Judith Oppenheimer
> > Cc: [email-masked]
> > Subject: Re: [Enum] Subject:
> > I-DACTION:draft-ranalli-peek-walter-enum-t1roles-00.txt
> >
> >
> > Judith,
> >
> > Thank you for the focus on this issue.  If I understand your comments
> > correctly, the draft creates some confusion by using the term "Telephone
> > Service Provider" to describe the role that is being played by the
> > "Responsible Organization" in the Toll-Free world.  The term
> "Responsible
> > Organization" is certainly more generic.  Please confirm if Section 4.2
> > accurately describes the role of a Responsible Organization in
> the context
> > of a Tier-1 ENUM System.  If so, then I propose simply changing the term
> TSP
> > to RespOrg.
> >
> > Doug
> >
> > ----- Original Message -----
> > From: Judith Oppenheimer <[email-masked]>
> > To: 'Pfautz, Penn L, NNAD' <[email-masked]>
> > Cc: <[email-masked]>
> > Sent: Tuesday, November 28, 2000 9:05 AM
> > Subject: RE: [Enum] Subject:
> > I-DACTION:draft-ranalli-peek-walter-enum-t1roles-00.txt
> >
> >
> > > The RespOrg is empowered by tariff *only* to follow the subscriber's
> > > instructions.
> > >
> > > It may *not* make decisions on the subscriber's behalf.  Big
> difference.
> > >
> > > And yes, RespOrgs may be subscribers as well.  For example, MCI, a
> RespOrg
> > > and TSP, is the subscriber for 1 800 COLLECT, as is AT&T for
> 1 800 CALL
> > > ATT.
> > >
> > > Judith
> > >
> > > Judith Oppenheimer, 212 684-7210, 1 800 The Expert
> > > Publisher, http://www.ICBTollFreeNews.com
> > > President, http://www.1800TheExpert.com
> > > FREE 800/Domain Classifieds, http://ICBclassifieds.com
> > > Domain Name & 800 News, Intelligence, Analysis
> > >
> > >
> > > > -----Original Message-----
> > > > From: Pfautz, Penn L, NNAD [mailto:[email-masked]]
> > > > Sent: Tuesday, November 28, 2000 8:40 AM
> > > > To: Judith Oppenheimer
> > > > Subject: RE: [Enum] Subject:
> > > > I-DACTION:draft-ranalli-peek-walter-enum-t1roles-00.txt
> > > >
> > > >
> > > > Judith:
> > > > But isn't the RespOrg the User Agent who is empowered to act
> > > > on the user's
> > > > behalf in the role of the subscriber?
> > > > I said subscriber only because in the model the actions of
> > > > the user agent
> > > > and subscriber are the same even though,
> > > > as you point out, legal control rests with the subscriber.
> > > > RespOrgs may be
> > > > TSPs or ASPs but may also be subscribers.
> > > >
> > > >
> > > > Penn
> > > > -----Original Message-----
> > > > From: Judith Oppenheimer [mailto:[email-masked]]
> > > > Sent: Monday, November 27, 2000 9:47 PM
> > > > To: Pfautz, Penn L, NNAD; 'Richard Shockey'
> > > > Cc: [email-masked]
> > > > Subject: RE: [Enum] Subject:
> > > > I-DACTION:draft-ranalli-peek-walter-enum-t1roles-00.txt
> > > > Importance: High
> > > >
> > > >
> > > > > I think the model
> > > > > proposed works if you
> > > > > view the RespOrg as End User
> > > >
> > > > This is legally inaccurate.
> > > >
> > > > If the model is that inflexible, the more logical alternative
> > > > is to view
> > > > the RespOrg as the TSP.
> > > >
> > > > ***********
> > > > 4.3 Subscriber
> > > >
> > > >           -  Entity with day-to-day control over an E.164 number.
> > > >
> > > >              1. Individual that has been assigned an E.164
> > > > number by a TSP.
> > > >
> > > >              2. Enterprise that has been assign a pool of
> > > > E.164 numbers
> > > >                 by a TSP.
> > > > ************
> > > > 4.3 is a fundamental principle of ENUM.  It should not be
> > > > compromised in
> > > > order to crush a round peg into a square hole.
> > > >
> > > > Judith
> > > >
> > > > Judith Oppenheimer, 212 684-7210, 1 800 The Expert
> > > > Publisher, http://www.ICBTollFreeNews.com
> > > > President, http://www.1800TheExpert.com
> > > > FREE 800/Domain Classifieds, http://ICBclassifieds.com
> > > > Domain Name & 800 News, Intelligence, Analysis
> > > >
> > > >
> > > > > -----Original Message-----
> > > > > From: Pfautz, Penn L, NNAD [mailto:[email-masked]]
> > > > > Sent: Monday, November 27, 2000 9:31 PM
> > > > > To: Judith Oppenheimer; 'Richard Shockey'
> > > > > Cc: [email-masked]
> > > > > Subject: RE: [Enum] Subject:
> > > > > I-DACTION:draft-ranalli-peek-walter-enum-t1roles-00.txt
> > > > >
> > > > >
> > > > > Judith:
> > > > > I agree that the toll-free case is more complex and proposed
> > > > > in my earlier
> > > > > I-D (draft-pfautz-na-enum-01.txt) that the ENUM record for
> > > > > the toll-free
> > > > > number be controlled by the RespOrg. I think the model
> > > > > proposed works if you
> > > > > view the RespOrg as End User or User Agent. The RespOrg can
> > > > > work with their
> > > > > chosen Service Resgistrar to change the NAPTR record as
> > > > > needed to point to
> > > > > different carriers as appropriate, but that is really outside
> > > > > of the ENUM
> > > > > protocol per se. In terms of call allocation features, this
> > > > > logic too will
> > > > > not reside in the DNS, but perhaps in some server that the
> > > > > NAPTR record
> > > > > would point to.
> > > > > (Some of this was discussed at the ITU working party meeting
> > > > > in Berlin in
> > > > > the context of international freephone).
> > > > > It's also important to remember that ENUM remains an optional
> > > > > functionality
> > > > > - carriers and users are not obligated to use it but can
> > > > > always complete
> > > > > calls through the PSTN.
> > > > >
> > > > > Penn Pfautz
> > > > >
> > > > >
> > > > > -----Original Message-----
> > > > > From: Judith Oppenheimer [mailto:[email-masked]]
> > > > > Sent: Monday, November 27, 2000 5:57 PM
> > > > > To: 'Richard Shockey'
> > > > > Cc: [email-masked]
> > > > > Subject: RE: [Enum] Subject:
> > > > > I-DACTION:draft-ranalli-peek-walter-enum-t1roles-00.txt
> > > > >
> > > > >
> > > > > I do not see where this draft anticipates that the "service
> > > > > provider" for a
> > > > > toll free number may not be a TSP, but rather a so-called
> > > > > "RespOrg" (stands
> > > > > for Responsible Organization.)  For that matter, the calls
> > > > > may not resolve
> > > > > to the end user subscriber either.
> > > > >
> > > > > One or more TSPs (programmed to be used at varying times
> of day for
> > > > > cheapest rates, for example) can simply be used as a
> > > > > provisioning tool,
> > > > > sending calls to one or multiple locations, none of which are the
> > > > > controlling party of the toll free number.
> > > > >
> > > > > Judith
> > > > >
> > > > > Judith Oppenheimer, 212 684-7210, 1 800 The Expert
> > > > > Publisher, http://www.ICBTollFreeNews.com
> > > > > President, http://www.1800TheExpert.com
> > > > > FREE 800/Domain Classifieds, http://ICBclassifieds.com
> > > > > Domain Name & 800 News, Intelligence, Analysis
> > > > >
> > > > >
> > > > > > -----Original Message-----
> > > > > > From: Richard Shockey [mailto:[email-masked]]
> > > > > > Sent: Monday, November 27, 2000 5:52 PM
> > > > > > To: Judith Oppenheimer
> > > > > > Cc: [email-masked]
> > > > > > Subject: RE: [Enum] Subject:
> > > > > > I-DACTION:draft-ranalli-peek-walter-enum-t1roles-00.txt
> > > > > >
> > > > > >
> > > > > > At 05:18 PM 11/27/2000 -0500, you wrote:
> > > > > > >Is this system meant to accomodate U.S. toll free numbers?
> > > > > > >
> > > > > > >Judith
> > > > > >
> > > > > > Any national ENUM system has to accommodate toll free
> > > > > > numbers. 800 - 877
> > > > > > etc, numbers in the US are E.164 numbers. Its just that the
> > > > > > authority for
> > > > > > authorization ( record holder ) is different.
> > > > > >
> > > > > >
> > > > >
> > > > >
> > > > > _______________________________________________
> > > > > enum mailing list
> > > > > [email-masked]
> > > > > http://www1.ietf.org/mailman/listinfo/enum
> > >
> > >
> > > _______________________________________________
> > > enum mailing list
> > > [email-masked]
> > > http://www1.ietf.org/mailman/listinfo/enum
> > >
> >
> >
> > _______________________________________________
> > enum mailing list
> > [email-masked]
> > http://www1.ietf.org/mailman/listinfo/enum
> >
> > _______________________________________________
> > enum mailing list
> > [email-masked]
> > http://www1.ietf.org/mailman/listinfo/enum
>
>
> _______________________________________________
> enum mailing list
> [email-masked]
> http://www1.ietf.org/mailman/listinfo/enum

_______________________________________________
enum mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/enum

---

From: Richard Shockey <[email-masked]>
Date: Tue, 28 Nov 2000 23:28:04 -0500

>Paul- can you comment from a UK perspective?

Please do. ... It seems we have a classic clash of NetHeads vs BellHeads 
here and if we are ever going to try and explain all of this to our poor 
over worked, underpaid and under appreciated national regulators we really 
should agree on common definitions.

AKA ..TNP  "Telephone Number Provider"

TNP  "Telephone Number Holder" etc.

I've had one comment to me privately that "EU" in the Pfautz-Yu draft looks 
like " European Union" .. so maybe that may not be the best term.

We need to explain ourselves to a new and rather diverse group of people 
..of which Judith is a good example.

Common ground means common definitions ..so any attempt at defining terms 
here is most welcome.

The Liaison Statement from ITU-SG2-Q1 is quite clear.  Delegation of 
authority for the e164.arpa space for geographic codes is the prerogative 
of nation-states and they will, presumably, be looking to this group and 
this list for answers to their questions.

I have taken the position that administrative drafts should be discussed 
here at length, but within the context of technical issues.  If you all 
read the WG charter ...we are bending the rules to a considerable extent 
but under the unique and frankly historical circumstances that RFC 2916 
poses, this course of action seems reasonable.

This begs the question of how far should this work go..and that poses the 
question of the direction the WG should take.

What therefore, are the next steps?

Your Chair...

---

From: Richard Shockey <[email-masked]>
Date: Tue, 28 Nov 2000 15:26:33 -0500

>
> > The CPL is the real provisioning tool for Call Progress and routing as you
>
> > outline. And the promise of this whole exercise in standards development
>is
> > that  service logic now resides within the complete control of the 1 800
> > number holder ..and not the carrier from whom service was delivered.
>
>
>Is CPL the only choice for service logic?  Suppose the number holder wants
>service logic retained in IN/SCP, as is normal today for 800-time-of-day
>routing; how does that work (e.g., with a SIP URL)?

In SIP CPL is the language for service logic presuming an IP model. 
Presumably the SIP proxy under the control of the 800 "number holder" could 
use some method to acquire IN/SCP logic but I'm not aware of what that 
interface would be ..that is a good question for some of our SIGTRAN fiends.

>Jerry Ash

Richard Shockey
Senior Technical Industry Liaison
NeuStar Inc.
1120 Vermont Avenue N.W.
Suite 550
Washington DC. 20005
Voice 202.533.2811
Fax to EMail 815.333.1237 (Preferred for Fax)
Cell : 314.503.0640
INTERNET Mail & IFAX : [email-masked]
or   [email-masked]
http://www.neustar.com

<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

---

From: Jonathan Rosenberg <[email-masked]>
Date: Wed, 29 Nov 2000 02:00:44 -0500

> Sent: Tuesday, November 28, 2000 3:27 PM
> To: Ash, Gerald R (Jerry), ALCOO
> Cc: [email-masked]
> I-DACTION:draft-ranalli-peek-walter-enum-t1ro les-00.txt
> 
> 
> 
> >

CPL isn't the only choice. IETF doesn't mandate these things in any case.
Beyond CPL, there are IETF efforts like SIP servlets and SIP CGI, IN/SCP
integration efforts like those discussed at the sin bof at the last IETF,
and other industry APIs such as Parlay, JAIN, and so on.

Just thought I'd clarify.

Thanks,
Jonathan R.

---
Jonathan D. Rosenberg                       72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.cs.columbia.edu/~jdrosen         PHONE: (973) 952-5000
http://www.dynamicsoft.com